/*
 * Copyright (C) 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <PerfCalc.h>

  PerfCalc::PerfCalc(char *whichSensor)
    {
     sensorName = new char[strlen(whichSensor) + 1];
     strncpy(sensorName, whichSensor, strlen(whichSensor));
     startTiming();
    }

  void PerfCalc::startTiming()
    {
     gettimeofday(&startTime, &tzp);
     startTimeInt = startTime;
     nframes = 0;
    }

  float PerfCalc::getRunning()
    {
       float tmpPerf;
       
       gettimeofday(&endTime, &tzp);
       tmpPerf = (((float)((endTime.tv_sec - startTime.tv_sec) * 1000000
                        + (endTime.tv_usec - startTime.tv_usec))) / 1000000.0);
       return(tmpPerf);      	
    }

  float PerfCalc::getRunning(int frameAvgCnt)
    {
       float tmpPerf;
       
       gettimeofday(&endTime, &tzp);
       tmpPerf = (((float)((endTime.tv_sec - startTime.tv_sec) * 1000000
                        + (endTime.tv_usec - startTime.tv_usec))) / 1000000.0);
       return(tmpPerf / frameAvgCnt);      	
    }
    
  float PerfCalc::getInterval()
    {
       float tmpPerf;
       
       gettimeofday(&endTime, &tzp);
       tmpPerf = (((float)((endTime.tv_sec - startTimeInt.tv_sec) * 1000000
                        + (endTime.tv_usec - startTimeInt.tv_usec))) / 1000000.0);
       startTimeInt = endTime;
       return(tmpPerf);      	
    }
        
