/*
 * Copyright (C) 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/time.h>
#include <X11/Intrinsic.h>

#ifndef __PERFCALC_H__
#define __PERFCALC_H__

class PerfCalc {

  int nframes;
  int frameAvgCnt;
  struct timeval startTime, startTimeInt, endTime;
  struct timezone tzp;
  char *sensorName;
  float perf;
    
 public:
  PerfCalc::PerfCalc(char *whichSensor);
  void PerfCalc::startTiming();
  float PerfCalc::getRunning();
  float PerfCalc::getRunning(int);
  float PerfCalc::getInterval();

  int getFPS(float interval, int frameCnt)
   {
    return((int)(frameCnt / interval));
   }
};    

#endif
