/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _AUDIO_H
#define _AUDIO_H
#include <audio.h>

class Audio
{
 public:
  Audio();
  ~Audio();
  void *getAudio(int &);
  int getNumAudio() { return _numAudio;}
  int getNumChannels() { return _numChannels;}
  int getBytesPerSample() { return _bytesPerSample;}
  int getRate() { return _rate;} 
  void setNumChannels(int n) { _numChannels = n;}
  void setRate(int r) { _rate = r;}
  void setBytesPerSample(int b) { _bytesPerSample = b;} 

 private:
  int _numAudio;
  int _rate;
  int _numChannels;
  int _bytesPerSample;
  int _bufferLength;
  char *_buffer;
  ALport _port;
  
};
#endif
