/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef COMPRESS_PANEL_H
#define COMPRESS_PANEL_H

#ifdef QT
#include <qt.h>
#endif

#include <cl.h>
#include <Vk/VkComponent.h>

class CompressPanel : public VkComponent
{
 public:
  CompressPanel(const char *, Widget);
  virtual ~CompressPanel();
  virtual const char *className();
  int getNumAlgs() { return _nAlgs;}
  char * getCompressor(int);
  char * getCurrentCompressor();
  void setCompressor(char *);
  int getCurrentAlg() { return _currentAlg;}
  char *getFileName();
  void setFileName(char *);
  void setFrameRate(float );
  float getFrameRate() { return _rate;}
 
 private:
  Widget _X_compressMenu;
  Widget _X_filename;
  Widget _X_framerate;
  Widget _X_framelabel;
  
  XmString *buttonLabels;
  int validCompression(int *);
  char *_filename;
  float _rate;
  
  int _nAlgs;
  int _bufferLength;
  char **_algs;
  static int _currentAlg;
  static void actCallback(Widget, XtPointer, XtPointer);
  static void fileCallback(Widget, XtPointer, XtPointer);
  static void rateCallback(Widget, XtPointer, XtPointer);
  
  
};  
#endif


