/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _PREF_H
#define _PREF_H
#include <Vk/VkPrefDialog.h>
#include <Vk/VkPrefItem.h>
#include <malloc.h>

enum TripType { MOTION, STATIC};
 
class Pref: public VkPrefDialog
{

 public:
  Pref(const char *name);
  ~Pref();
  void update();

  int getDelay() { return _delay;}
  int getFrames() { return _frames;}
  int getAccuracy() { return _accuracy;}
  TripType getTripType() { return _tripType;}
  int getTripCount() { return _tripCount;}
 
 protected:
  
  VkPrefText *prefAccuracy;
  VkPrefText *prefDelay;
  VkPrefText *prefFrames;
  VkPrefText *prefCount;
  VkPrefToggle *prefType;

  void setAccuracy(int a) { _accuracy = a; }
  void setDelay(int d) { _delay = d; }
  void setFrames(int f) { _frames = f; }
  void setTripType(TripType f) { _tripType = f;}
  void setTripCount(int c) { _tripCount = c;}

 private:
  VkPrefGroup *_group;
  int _accuracy;
  int _delay;
  int _frames;
  TripType _tripType;
  int _tripCount;
};

#endif

