/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _SECURITY_H
#define  _SECURITY_H
#include <Vk/VkWindow.h>
#include <Vk/VkPeriodic.h>
#include <Vk/VkRadioBox.h>
#include "pref.h"
#include "startStop.h"
#include "compressPanel.h"
#include "video.h"
#include "movie.h"
#include "title.h"
#include "monitor.h"

class SecurityWin: public VkWindow
{
 public:
  SecurityWin(const char *name);
  ~SecurityWin();
  
  virtual const char* className();

 protected:
  void postPref();
  void statusChanged(VkCallbackObject *, void *, void *);
  void grabFrame(VkCallbackObject *, void *, void *);
  void stopOnError( );
  
 private:
  static void quitCallback(Widget, XtPointer, XtPointer);
  static void postPrefCallback(Widget, XtPointer, XtPointer);
  static void viewCallback(Widget, XtPointer, XtPointer);

  void view();
  void preference(VkComponent*, void *, void *);  
  void buildMenu();
  void buildVideo();
  int diffBuffer(unsigned char *, unsigned char *, int, int, int);
  int getScale();
  
  VkSubMenu *_fileMenu;
  VkMenuBar *_mainMenu;
  
  Pref *_pref;  
  StartStopPanel *_startStop;
  CompressPanel *_compress;
  VkCheckBox *_checkBox;
  VkRadioBox *_visual;
  Title *_title;
  
  Action _action;
  VkPeriodic *_timer;
  void *_newFrame, *_oldFrame, *_RGBFrame;
  VideoIn *_video, *_motion;
  Movie *_movie;
  int _isBusy;
  Monitor *_monitor;
  int _sound;
  
};

#endif

  
