/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include "startStop.h"
#include <Xm/RowColumn.h>
#include <Xm/PushB.h>

String StartStopPanel::_defaultResources[] = {
  "*start.labelString: Start",
  "*stop.labelString: Stop",
  "*orientation: HORIZONTAL",
  NULL
};
const char *const StartStopPanel::actionCallback = "actionCallback";

StartStopPanel::StartStopPanel(const char *name, Widget parent) : VkComponent(name)
{
  setDefaultResources(parent, _defaultResources);
  _baseWidget = XmCreateRowColumn(parent, _name, NULL,0);
  installDestroyHandler();

  _startButton = XmCreatePushButton(_baseWidget, "start",NULL,0);
  _stopButton = XmCreatePushButton(_baseWidget, "stop", NULL, 0);

  XtManageChild(_startButton);
  XtManageChild(_stopButton);
  
  XtAddCallback(_startButton, XmNactivateCallback,
		&StartStopPanel::startCallback, (XtPointer)this);
  
  XtAddCallback(_stopButton, XmNactivateCallback,
		&StartStopPanel::stopCallback, (XtPointer)this);
  
}

StartStopPanel::~StartStopPanel()
{}

const char *StartStopPanel::className()
{
  return "StartStopPanel";
}

void StartStopPanel::startCallback(Widget w, XtPointer clientData,
				   XtPointer callData)
{
  StartStopPanel *obj = (StartStopPanel *)clientData;
  obj->start(w,callData);
}

void StartStopPanel::stopCallback(Widget w, XtPointer clientData,
				   XtPointer callData)
{
  StartStopPanel *obj = (StartStopPanel *)clientData;
  obj->stop(w,callData);
}

void StartStopPanel::start(Widget, XtPointer)
{
  callCallbacks(actionCallback, (void *)START);
}

void StartStopPanel::stop(Widget, XtPointer)
{
  callCallbacks(actionCallback, (void *)STOP);
}
