/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _STARTSTOP_H
#define  _STARTSTOP_H
#include <Vk/VkComponent.h>

enum Action {  STOP, START };

class StartStopPanel : public VkComponent
{
 public:
  
  StartStopPanel(const char *, Widget);
  ~StartStopPanel();
  virtual const char *className();
  static const char *const actionCallback;
  Widget _stopButton;
  
 protected:
  virtual void start(Widget, XtPointer);
  virtual void stop(Widget, XtPointer);
  
  Widget _startButton;
  
 private:
  static void startCallback(Widget, XtPointer, XtPointer);
  static void stopCallback(Widget, XtPointer, XtPointer);

  static String _defaultResources[];
  
};

#endif
