/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _TITLE_H
#define _TITLE_H

#include <Xm/Xm.h>
#include <DPS/dpsclient.h>
#include <DPS/dpsXclient.h>
#include <DPS/dpsXshare.h>
#include <DPS/psops.h>
#include <stdio.h>

class Title 
{
 public:
  Title(Widget, int, int);
  ~Title();
  void erase();
  void text(char *, int);
  void setColor(float, float, float);
  void setOffset(int, int);
  void putImage(void *);
  int getStatus() { return _hasDPS;} 
  void *getImage();
  
 private:
  Pixmap _pixmap;
  GC _gc;
  XImage *_img;
  DPSContext _ctxt;
  Display *_dpy;
  int _hasDPS;
  int _width, _height, _depth;
};
#endif
