/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
    cv.h - Header for type conversion.

    Tim Heidmann, Silicon Graphics

    Created    January 25, 1994
    Last Edit  January 27, 1994
*/

#ifndef _cv_h_
#define _cv_h_

/* Types */
#define MC_NTSC_FRAME	1
#define MC_NTSC_TC	3
#define MC_NTSC_DFTC	4
#define MC_PAL_TC	5
#define MC_HMS		6
#define MC_TIME		7	/* struct timeval */

/* Errors */
#define CV_UNSUPPORTED 1
#define CV_FORMAT      2

extern int cv_errno;

int mc_convert(int, int, ...);

/* Misc */
#define NTSC_FRAMES_PER_SEC 29.97
#define NTSC_USEC_PER_FRAME 33367

#endif
