/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: svtest10.c,v 1.3 1994/04/29 22:56:24 dpb Exp $ */

/*** Verify that the single yuv compressed frame that we created
 *** in svtest9 is actually usable by sending it to video out.
 ***/

#include <stdio.h>
#include "sv.h"

int
main(void)
{
    int ret;
    svImage *imageInfo;

    svSelectOutput(gvOUTPUT_ANALOG);
    svSetImagePacking(VL_PACKING_YVYU_422_8);

    if (ret = svLoadImage("test9.yuv", &imageInfo))
	printf("svLoadImage returns %d\n", ret);

    if (ret = svPutFrame(imageInfo))
	printf("svPutFrame returns %d\n", ret);

    svFreeImage(&imageInfo);
    sleep(5);

    return 0;
}
