/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: svtest5.c,v 1.2 1994/07/16 01:46:17 dpb Exp $ */

/*** 15 times, capture a frame and send it to galileo video out ***/

#include <stdio.h>
#include <unistd.h>
#include "sv.h"

int
main(void)
{
    int i, ret;
    svImage *imageInfo;
    svContext context1, context2;

    context1 = svNewContext();
    svSelectInput(gvINPUT_COMPOSITE_1);
    svRecoverFromPreemption();

    context2 = svNewContext();
    svSelectOutput(gvOUTPUT_ANALOG);
    svRecoverFromPreemption();

    imageInfo = svNewImage();

    for (i=0; i<=15; i++) { 
	printf("frame #%d\n", i);

	svSetContext(context1);
	if (ret = svGetFrame(imageInfo))
	    printf("svGetFrame returns %d\n", ret);

	svViewImage(imageInfo, i*10, i*10);

	svSetContext(context2);
	if (ret = svPutFrame(imageInfo)) {
	    printf("svPutFrame returns %d\n", ret);
	    printf("vlerrno is %d\n", vlGetErrno());
	}
	sleep(2);
    }

    return 0;
}
