/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: svtest6.c,v 1.1 1994/04/27 19:38:36 dpb Exp $ */

/*** Capture vino input, and paste the frames to the screen ***/

#include <stdio.h>
#include <unistd.h>
#include "sv.h"

int
main(void)
{
    int i, ret;
    svImage *imageInfo;

    svSelectInput(vnINPUT_INDYCAM);
    imageInfo = svNewImage();

    for (i=0; i<=15; i++) { 
	printf("frame #%d\n", i);

	if (ret = svGetFrame(imageInfo))
	    printf("svGetFrame returns %d\n", ret);

	svViewImage(imageInfo, i*10, i*10);
    }

    return 0;
}
