/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: vlUtil.h,v 1.1 1994/04/27 19:39:29 dpb Exp $ */

/**********************************************************************
 *  
 * vlUtil.h - utility macros/functions to make vl control
 *            settings a little easier and safer.
 *
 **********************************************************************
 */

#ifndef _VL_UTIL_H_
#define _VL_UTIL_H_

#include <vl/vl.h>

#define vlSetMuxSwitch(svr, path, node, value) \
	vlSetIntControl(svr, path, node, VL_MUXSWITCH, value)

#define vlSetPacking(svr, path, node, value) \
	vlSetIntControl(svr, path, node, VL_PACKING, value)

#define vlSetCapType(svr, path, node, value) \
	vlSetIntControl(svr, path, node, VL_CAP_TYPE, value)

#define vlSetSize(svr, path, node, w, h) \
	vlSetIntPairControl(svr, path, node, VL_SIZE, w, h)


int
vlSetIntControl(VLServer, 
		VLPath,
		VLNode,
		VLControlType,
		int);

int
vlSetIntPairControl(VLServer,
		    VLPath,
		    VLNode,
		    VLControlType,
		    int,
		    int);

#endif /* _VL_UTIL_H */
