/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: svPriv.h,v 1.2 1994/07/16 01:47:49 dpb Exp $ */

#ifndef _SV_PRIV_H
#define _SV_PRIV_H

/*
 * Connection state info;
 */

typedef struct {
    int           vlInitialized;
    VLServer      svr;
    VLDev         dev;
    int           input;
    int           output;
    VLUsageType   pathUsageMode;
    VLUsageType   controlUsageMode;
    int           frameCount;
    int 	  packing;
    int		  saveImagesCompressed;
    int		  transferMode;
    int           transferCountRemaining;
    int           freeFrameNextXfer;
    int		  recoverFromPreemption;
    int	 	  deviceWidthFactor;
    int	 	  deviceHeightFactor;

    int           saved_src;
    int           saved_drn;
    VLNode        saved_buffer_node;
    VLPath        saved_path;
    VLBuffer      saved_buffer;
    int		  transferSize;
    int 	  transferring;

    SVSetupPathCallback setupPathCallback;
} ConnectionState;

/*
 * prototypes;
 */

ConnectionState *
_findContext(void);


#endif /* _SV_PRIV_H */

