/*
 * Copyright (c) 1994, Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $Id: vlUtil.c,v 1.1 1994/04/27 19:38:59 dpb Exp $ */

#include "vlUtil.h"

int vlSetIntControl(VLServer svr,
		    VLPath path,
		    VLNode node,
		    VLControlType control,
		    int value) {

    VLControlValue val;
    
    val.intVal = value;
    return vlSetControl(svr, path, node, control, &val);
}

int vlSetIntPairControl(VLServer svr,
			VLPath path,
			VLNode node,
			VLControlType control,
			int v1,
			int v2) {

    VLControlValue val;
    
    val.xyVal.x = v1;
    val.xyVal.y = v2;

    return vlSetControl(svr, path, node, control, &val);
}
